Subject: [LON-CAPA-dev] Installation on RedHat7.3

From: "Matthew Brian Hall" <[email-masked]>
Date: Fri, 10 May 2002 17:33:00 -0400 (EDT)

It's taken the whole day but I have gotten LON-CAPA running on redhat7.3

Over the weekend or on Monday (depends on how ambitious I am) I will be
setting it up on the two RET servers to test my install proceedure.  Hopefully
at the next meeting I can say that we should recommend setting new machines
up with rh7.3...

There are a couple of wrinkles so far, however:

[root@s18 root]# /etc/init.d/httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd: [Fri May 10 16:31:10 2002] [warn] module perl_module is already
loaded, skipping
[Fri May 10 16:31:10 2002] [warn] module mod_perl.c is already added, skipping
[Fri May 10 16:31:13 2002] [warn] module perl_module is already loaded,
skipping
[Fri May 10 16:31:13 2002] [warn] module mod_perl.c is already added, skipping
[Fri May 10 16:31:13 2002] [warn] module perl_module is already loaded,
skipping
[Fri May 10 16:31:13 2002] [warn] module mod_perl.c is already added, skipping
[Fri May 10 16:31:13 2002] [warn] module perl_module is already loaded,
skipping
[Fri May 10 16:31:13 2002] [warn] module mod_perl.c is already added, skipping
[Fri May 10 16:31:13 2002] [warn] module perl_module is already loaded,
skipping
[Fri May 10 16:31:13 2002] [warn] module mod_perl.c is already added, skipping
                                                           [  OK  ]

and

[root@s18 root]# /etc/init.d/loncontrol restart
Restarting LON-CAPA
Ending LON-CAPA client and daemon processes
Starting LON-CAPA client and daemon processes (please be patient)
lonsql
lonsql: no process killed
lonsql: no process killed
lond
lond: no process killed
lond: no process killed
lonc
lonc: no process killed
lonc: no process killed
lonnet
buffers
writing done
mailing
/etc/sendmail.cf: line 88: fileclass: cannot open '/etc/mail/local-host-names':
Group writable directory
/etc/sendmail.cf: line 513: fileclass: cannot open '/etc/mail/trusted-users':
Group writable directory
Broken pipe
Mail delivery failed, draft mail is in /tmp/metasend.XlGxamP
[root@s18 root]#

Yes, the phantom sendmail strangeness is back.  Any thoughts?

The machine is currently s18 (used to be vbrick).  The hosts.tab file is a
one-liner currently but, should anyone feel the need, it can be changed.

And the password.... some things never change.

Matthew
--
------------------------------------------------------------------
Matthew Hall           LON-CAPA developer         [email-masked]
123 North Kedzie Hall                    Michigan State University
------------------------------------------------------------------

---

From: Scott Harrison <[email-masked]>
Date: Fri, 10 May 2002 19:19:39 -0400

> Yes, the phantom sendmail strangeness is back.  Any thoughts?

THE FIX

chmod g-w,u+w /

fixes the sendmail problem.

Somehow, the top-level root directory (/) on
RH7.2/7.3 is set to drwxrwxr-x

And the mailer gets worried.

I do not know though if this effects other members
of the root group (like bin daemon sys adm disk & wheel).

-- 
Scott Harrison -- Graduate Student
Microbiology and Molecular Genetics
Mich. State. Univ., East Lansing, MI
[email-masked], 517-353-0998